> For the complete documentation index, see [llms.txt](https://docs.claret.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.claret.app/api-reference/transactional-data/tenant-public-financial-plans-index.md).

# Tenant.public.financial Plans.index

```json
{"openapi":"3.1.0","info":{"title":"Claret","version":"1.0.0"},"tags":[{"name":"Transactional Data","description":"Sales, inventory, supply plans, and financial plans. Large datasets with cursor pagination."}],"servers":[{"url":"https://plan.claret.app/{tenant}/api/v1","description":"Production","variables":{"tenant":{"default":"your-tenant","description":"Your Claret tenant identifier (the slug in your Claret URL)."}}}],"security":[{"http":[]}],"components":{"securitySchemes":{"http":{"type":"http","scheme":"bearer"}},"responses":{"AuthenticationException":{"description":"Unauthenticated","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/financial-plans":{"get":{"operationId":"tenant.public.financial_plans.index","tags":["Transactional Data"],"parameters":[{"name":"filter[financial_plan_type_id]","in":"query","schema":{"type":"integer"}},{"name":"filter[account_cost_center_id]","in":"query","schema":{"type":"integer"}},{"name":"filter[financial_plan_type_name]","in":"query","schema":{"type":"string","maxLength":255}},{"name":"filter[account_name]","in":"query","schema":{"type":"string","maxLength":255}},{"name":"filter[cost_center_name]","in":"query","schema":{"type":"string","maxLength":255}},{"name":"filter[date_from]","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"filter[date_to]","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"sort","in":"query","schema":{"type":"string","maxLength":255}},{"name":"per_page","in":"query","schema":{"type":"integer","minimum":1,"maximum":5000}},{"name":"cursor","in":"query","schema":{"type":"string"}},{"name":"include","in":"query","schema":{"type":"string","maxLength":255}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","const":"Financial Plans retrieved successfully."},"data":{"type":"array","prefixItems":[{"type":"array","items":{}}],"minItems":1,"maxItems":1,"additionalItems":false},"meta":{"anyOf":[{"type":"array","items":{}},{"type":"string"}]},"links":{"type":"string"}},"required":["message","data","meta","links"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}}}
```
